#
# spec file for package meep
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           meep
Version:        1.2
Release:        1
Summary:        FDTD finite-difference time-domain solver
%if 0%{?suse_version}
License:        GPL-3.0
Group:          Productivity/Scientific/Electronics
%else
License:        GPLv3
Group:          Applications/Engineering
%endif
Url:            http://ab-initio.mit.edu/wiki/index.php/Meep
Source0:        http://ab-initio.mit.edu/%{name}/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

BuildRequires:  binutils
BuildRequires:  fftw3-devel
BuildRequires:  gcc-c++
%if 0%{?suse_version}
BuildRequires:  gcc-fortran
%else
BuildRequires:  gcc-gfortran
%endif
BuildRequires:  gmp-devel
BuildRequires:  gsl-devel
%if 0%{?suse_version} >= 1210
BuildRequires:  libguile1-devel
%else
BuildRequires:  guile-devel
%endif
BuildRequires:  harminv-devel
BuildRequires:  hdf5-devel
#BuildRequires:  latex2html
BuildRequires:  libctl-devel >= 3.0.3
BuildRequires:  pkgconfig
BuildRequires:  zlib-devel
BuildRequires:  openblas-devel
BuildRequires:  chrpath

%description
Meep (or MEEP) is a free finite-difference time-domain (FDTD)
simulation software package developed at MIT to model electromagnetic
systems.

%package devel
Summary: Development files for %name
Requires: %{name}%{?_isa} = %{version}-%{release}

%description devel
Development files for %name

%prep
%setup -q

%build
export CFLAGS="%{optflags} -fPIC"
export CXXFLAGS="%{optflags} -fPIC"
export FFLAGS="%{optflags} -fPIC"
export LDFLAGS="$LDFLAGS -Wl,--as-needed"
%configure --enable-shared --disable-static
make V=1 %{?_smp_mflags}

%install
%makeinstall
chrpath -d %{buildroot}/%{_bindir}/meep
rm %{buildroot}/%{_libdir}/*.la

%check
make V=1 check

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%doc TODO ChangeLog NEWS README COPYING AUTHORS COPYRIGHT
%{_bindir}/*
%{_libdir}/libmeep*.so.*
%{_datadir}/meep/

%files devel
%{_libdir}/pkgconfig/*
%{_libdir}/libmeep*.so
%{_includedir}/*

%changelog
* Thu Jan  2 2014 Dave Love <d.love@liverpool.ac.uk> - 1.2-1
- Support Red Hat derivatives
- Update to v 1.2
- Change Source0 to URL
- Use openblas
- Make devel package
- Link --as-needed
- Run tests
- BR harminv-devel

* Tue Aug 21 2012 scorot@free.fr
- Buildrequires libguile1 on recent product
* Fri May 11 2012 scorot@free.fr
- remove conditional BuildRequires for blas and lapack since
  recent lapack now build correctly for all suse version
* Sat Apr 14 2012 badshah400@gmail.com
- Update BuildRequires in keeping with lapack package naming
  changes
- Spec file cleanups
- Modify License tag in confomity with spdx.org specifications.
